Bug 137779 - Add info about Jumbo sheets status into About dialog
Summary: Add info about Jumbo sheets status into About dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Dipanshu Garg
URL:
Whiteboard: target:7.2.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicQA
Depends on:
Blocks: About-Dialog
  Show dependency treegraph
 
Reported: 2020-10-26 21:29 UTC by Roman Kuznetsov
Modified: 2021-02-17 11:03 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example mockup (6.51 KB, image/png)
2020-10-26 21:35 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2020-10-26 21:29:38 UTC
Description:
Add info about Jumbo sheets status into About dialog

Today Jumbo sheets is experimental feature, but users can enable it anyway and then they can get any problems.

I suggest add info about Jumbo sheets status into About dialog in bottom row like:

Calc: CL, VLT enabled/disabled (or Jumbo on/off)

more for QA people.

When it very cool function will be more stable we'll can delete that info from About dialog

Steps to Reproduce:
-

Actual Results:
if user enabled a Jumbo sheets function, then QA don't see it from About dialog info

Expected Results:
if user enabled a Jumbo sheets function, then QA see it from About dialog info at once


Reproducible: Always


User Profile Reset: No



Additional Info:
-
Comment 1 Roman Kuznetsov 2020-10-26 21:31:46 UTC
Mike, Noel, Xisco, Heiko what do you think?
Comment 2 Roman Kuznetsov 2020-10-26 21:35:10 UTC
Created attachment 166747 [details]
Example mockup
Comment 3 Noel Grandin 2020-10-27 06:29:31 UTC
LGTM.

Possibly we need a new line on that dialog, something like:

    Experimental Features: xx, yy, zzz

to make it obvious that some experimental features are enabled, and which ones
Comment 4 Mike Kaganski 2020-10-27 06:31:40 UTC
(In reply to Noel Grandin from comment #3)
> Possibly we need a new line on that dialog, something like:
> 
>     Experimental Features: xx, yy, zzz

Do we actually have a list of current experimental features? IIUC we only have a flag allowing all the features, and each dev checks it in places where their features decide if they should work or not?
Comment 5 Noel Grandin 2020-10-27 06:33:03 UTC
There is a flag for jumbo sheets, but possibly not other experimental features
Comment 6 Mike Kaganski 2020-10-27 06:37:40 UTC
(In reply to Noel Grandin from comment #5)

Ah! Good to know. Slightly inconsistent (usually experimental features are enabled on Options->[ProductName]->Advanced->[x] Enable experimental features (may be unstable)), but definitely provides necessary fine-tune control for this most experimental of all experimental features :-)
Comment 7 Heiko Tietze 2020-10-27 10:12:59 UTC
Please don't add more things to the UI. 

The copy button / HandleClick method compiles its own text and takes data per GetMiscString(); we could the Jumbo info there. But of course some kind of GetExperimental() below would be easier to spot. I like this idea.
Comment 8 Heiko Tietze 2021-02-04 09:04:55 UTC
Code pointer:
cui/source/dialogs/about.cxx 

OUString AboutDialog::GetMiscString()
...
    aCalcMode += "threaded";
  }

add 

  if (officecfg::Office::Calc::Defaults::Sheet::JumboSheets::get()) 
  {
      if (!aCalcMode.endsWith(" "))
         aCalcMode += " ";
      aCalcMode += "Jumbo";
  } 

(this shows for example "Calc: threaded Jumbo", if enabled)
Comment 9 Dipanshu Garg 2021-02-11 10:27:48 UTC
Hi, I would like to work on this bug. (This is my first bug.)
Comment 10 Commit Notification 2021-02-13 09:27:05 UTC
dipanshu124 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/427deae27d91cb9be0bf1889e2b8b79480adcc35

tdf#137779 Add info about Jumbo sheets status into About dialog

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Roman Kuznetsov 2021-02-17 11:03:01 UTC
verified in

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 2c8ffa41ec8e1ab2af95d5e033a445c17d29cf5a
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: threaded Jumbo